Subject: Re: RCS keyword expansion

From: Florian Weimer <[email-masked]>
Date: Fri, 12 Oct 2007 19:51:27 +0200

* Barry Fishman:

> I changed my editor (Emacs) to convert RCS Ids to timestamps when I
> opened a file for reading.  This would fix old files.  When i wrote out
> files I would update the timestamp before writing them (via emacs's
> timestamp package).  I didn't have to think about it as my RCS Id
> stamped files slowly evolve into my editor stamped ones.  I'm sure I
> could do something similar in VIM, or with a script encapsulating
> another editor.

The downside is that this causes totally unncessary conflicts when
merging.  Maybe a custom merge handler could deal with that, though.